Page MenuHomePhabricator

Format SenseIds of redirected lexemes
Closed, ResolvedPublic3 Story Points

Description

AC

  • render id (serialization) as anchor text
  • link to sense on "old" lexeme (e.g. Lexeme:L9#L9-S2), i.e. the redirect has no effect on where we link to (same as before)

Info

  • done for forms in T202634
  • RedirectedLexemeSubEntityIdHtmlFormatter can be used as a fallback to SenseIdHtmlFormatter

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptSep 6 2018, 1:50 PM
Pablo-WMDE updated the task description. (Show Details)Sep 6 2018, 1:51 PM
Lucas_Werkmeister_WMDE set the point value for this task to 3.Sep 11 2018, 11:05 AM

Change 459781 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Format sense IDs of redirected lexemes

https://gerrit.wikimedia.org/r/459781

Change 459781 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Format sense IDs of redirected lexemes

https://gerrit.wikimedia.org/r/459781

Lydia_Pintscher closed this task as Resolved.Sep 16 2018, 10:53 AM